<?php
class CustomControls extends ComControls {
	public function CustomControls(){
		$this->ComControls();
	}
	public function getVote($pColumn){
		if($pColumn['stcoctUiType']=='Text'){
			$tmpControl=new Vote_Text();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='Label'){
			$tmpControl=new Vote_Label();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='TextArea'){
			$tmpControl=new Vote_TextArea();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='CheckboxAR'){
			$tmpControl=new Vote_CheckboxAR();
			$tmpControl->Control($pColumn);
		}else if($pColumn['stcoctUiType']=='RadioAR'){
			$tmpControl=new Vote_RadioAR();
			$tmpControl->Control($pColumn);
		
		}
	}
	public function getMicroblogging_Publish($pColumn){
		if($pColumn['stcoctUiType']=='Microblogging_Publish'){
			$tmpControl=new Normal_Microblogging_Publish();
			$tmpControl->Control($pColumn);
		}
	}
	public function getMicroblogging_DiscussSubmit($pColumn){
		if($pColumn['stcoctUiType']=='Microblogging_DiscussSubmit'){
			$tmpControl=new Normal_Microblogging_DiscussSubmit();
			$tmpControl->Control($pColumn);
		}
	}
	
	
}
?>